Name:          apacheds-shared
Version:       0.9.19
Release:       %mkrel 20
Summary:       Shared APIs of Apache Directory Project
Group:         Development/Java
License:       ASL 2.0
Url:           http://directory.apache.org/
# svn export http://svn.apache.org/repos/asf/directory/shared/tags/0.9.19/ apacheds-shared-0.9.19
# tar czf  apacheds-shared-0.9.19-src-svn.tar.gz  apacheds-shared-0.9.19
Source0:       apacheds-shared-0.9.19-src-svn.tar.gz
# requires antlr 2.x and change org.apache.maven.plugins maven-antlr-plugin with org.codehaus.mojo antlr-maven-plugin
Patch0:        apacheds-shared-0.9.19-antlr-plugin.patch

BuildRequires: java-devel
BuildRequires: directory-project

BuildRequires: antlr
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-pool
BuildRequires: apache-mina
BuildRequires: dom4j
BuildRequires: log4j
BuildRequires: slf4j
BuildRequires: xpp3
BuildRequires: mvn(javax.mail:mail)

# test deps
BuildRequires: junit

BuildRequires: antlr-maven-plugin
BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
ApacheDS is an extensible and embeddable directory server
entirely written in Java, which has been certified LDAPv3
compatible by the Open Group. Besides LDAP it supports
Kerberos 5 and the Change Password Protocol. It has been
designed to introduce triggers, stored procedures, queues and
views to the world of LDAP which has lacked these rich
constructs. 

This package contains the shared APIs of the
Apache Directory Project.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n apacheds-shared-%{version}
%patch0 -p1
# cleanup
find . -name "*.jar" -delete
find . -name "*.class" -delete

sed -i "s|<module>all</module>|<!--module>all</module-->|" pom.xml
# fix wrong permissions
chmod 644 README.txt

%build

%mvn_file :shared-asn1 apacheds/shared-asn1
%mvn_file :shared-asn1-codec apacheds/shared-asn1-codec
%mvn_file :shared-cursor apacheds/shared-cursor
%mvn_file :shared-dsml-parser apacheds/shared-dsml-parser
%mvn_file :shared-i18n apacheds/shared-i18n
%mvn_file :shared-ldap apacheds/shared-ldap
%mvn_file :shared-ldap-constants apacheds/shared-ldap-constants
%mvn_file :shared-ldap-converter apacheds/shared-ldap-converter
%mvn_file :shared-ldap-jndi apacheds/shared-ldap-jndi
%mvn_file :shared-ldap-schema apacheds/shared-ldap-schema
%mvn_file :shared-ldap-schema-dao apacheds/shared-ldap-schema-dao
%mvn_file :shared-ldap-schema-loader apacheds/shared-ldap-schema-loader
%mvn_file :shared-ldap-schema-manager apacheds/shared-ldap-schema-manager
%mvn_file :shared-ldif apacheds/shared-ldif
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Tue Dec 24 2013 dmorgan <dmorgan> 0.9.19-20.mga4
+ Revision: 560510
- Disable tests

* Mon Dec 16 2013 dmorgan <dmorgan> 0.9.19-19.mga4
+ Revision: 557415
- Fix BuildRequires
- Rebuild against new stack

* Tue Oct 22 2013 umeabot <umeabot> 0.9.19-18.mga4
+ Revision: 545834
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 dmorgan <dmorgan> 0.9.19-17.mga4
+ Revision: 501883
- Rebuild against rebuilded antlr

* Wed Oct 16 2013 dmorgan <dmorgan> 0.9.19-16.mga4
+ Revision: 501642
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 0.9.19-15.mga3
+ Revision: 345926
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 0.9.19-14.mga3
+ Revision: 340409
- Disable tests, does not work in autobuild

* Sat Dec 08 2012 dmorgan <dmorgan> 0.9.19-13.mga3
+ Revision: 328247
- Java Stack Mass Rebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 0.9.19-2.mga3
+ Revision: 293260
- Clean spec file

* Mon Jun 25 2012 dmorgan <dmorgan> 0.9.19-1.mga3
+ Revision: 263567
- imported package apacheds-shared


* Sun May 20 2012 gil cattaneo <puntogil@libero.it> 0.9.19-1
- initial rpm

